<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getActionAutolevel](./bitburner.bladeburner.getactionautolevel.md)

## Bladeburner.getActionAutolevel() method

Get whether an action is set to autolevel.

**Signature:**

```typescript
getActionAutolevel(type: BladeburnerActionType, name: BladeburnerActionName): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

type


</td><td>

[BladeburnerActionType](./bitburner.bladeburneractiontype.md)


</td><td>

Type of action.


</td></tr>
<tr><td>

name


</td><td>

[BladeburnerActionName](./bitburner.bladeburneractionname.md)


</td><td>

Name of action. Must be an exact match.


</td></tr>
</tbody></table>

**Returns:**

boolean

True if the action is set to autolevel, and false otherwise.

## Remarks

RAM cost: 4 GB

Return a boolean indicating whether or not this action is currently set to autolevel.

Returns false if an invalid action is specified.

